<!DOCTYPE html>
<!--
The MIT License

Copyright 2019 Yassmine BOUDILI École Nationale des Sciences Géographiques.

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
-->
<html xmlns=http://www.w3.org/1999/xhtml xmlns:th="http://www.thymeleaf.org">
    <head>
        <title>Colloque - Add Event</title>
        <meta charset="UTF-8"/>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
        <meta th:replace="fragments/general :: headerfiles"/>
        <!-- Custom CSS -->
        <link type="text/css" th:href="@{/css/main.css}" rel="stylesheet" />
    </head>
    
    <body class="d-flex flex-column h-100">
    
	    <header th:replace="fragments/general :: header"></header>
	    
	    <div class="flex-shrink-0">
	       	<div class="container">
		       	<h1 class="mb-3">Add a new Event</h1>
		        <form action="#" th:action="@{/saveEvent}" th:object="${event}" method="post">
		            <div class="form-group row">
	   		        	<label for="name" class="col-form-label col-sm-2"> Name </label>
			            <input type="text" th:field="*{name}" id="name" placeholder="Name" class="form-control col-sm-8">
			            <span th:if="${#fields.hasErrors('name')}" th:errors="*{name}" class="small text-danger col-sm-2"></span>
		            </div>
		            <div class="form-group row">
		            	<label for="theme" class="col-form-label col-sm-2"> Theme </label>
			            <input type="text" th:field="*{theme}" id="theme" placeholder="Theme" class="form-control col-sm-8">
			            <span th:if="${#fields.hasErrors('theme')}" th:errors="*{theme}" class="small text-danger col-sm-2"></span>
		            </div>
		            <div class="form-group row">
			            <label for="date" class="col-form-label col-sm-2"> Date </label>
			            <input type="date" th:field="*{date}" id="date" class="form-control col-sm-8">
			            <span th:if="${#fields.hasErrors('date')}" th:errors="*{date}" class="small text-danger col-sm-2"></span>
		            </div>
		            <div class="form-group row">
			        	<label for="period" class="col-form-label col-sm-2"> Period </label>
			            <input type="text" th:field="*{period}" id="period" placeholder="Period" class="form-control col-sm-8">
			            <span th:if="${#fields.hasErrors('period')}" th:errors="*{period}" class="small text-danger col-sm-2"></span>
		            </div>
		            <div class="form-group row">
			            <label for="max_part" class="col-form-label col-sm-2"> Max participants </label>
			            <input type="number" th:field="*{max_part}" id="max_part" class="form-control col-sm-8">
			            <span th:if="${#fields.hasErrors('max_part')}" th:errors="*{max_part}" class="small text-danger col-sm-2"></span>
		            </div>
		            <div class="form-group row">
			            <label for="description" class="col-form-label col-sm-2"> Description </label>
			            <input type="text" th:field="*{description}" id="description" placeholder="Description" class="form-control col-sm-8">
			            <span th:if="${#fields.hasErrors('description')}" th:errors="*{description}" class="small text-danger col-sm-2"></span>
		            </div>
		            <div class="form-group row">
			            <label for="organizer" class="col-form-label col-sm-2"> Organizer </label>
			            <input type="text" th:field="*{organizer}" id="organizer" placeholder="Organizer" class="form-control col-sm-8">
			            <span th:if="${#fields.hasErrors('organizer')}" th:errors="*{organizer}" class="small text-danger col-sm-2"></span>
		            </div>
		            <div class="form-group row">
			            <label for="event_type" class="col-form-label col-sm-2">Event type</label>
			            <input type="text" th:field="*{event_type}" id="event_type" placeholder="Event type" class="form-control col-sm-8">
			            <span th:if="${#fields.hasErrors('event_type')}" th:errors="*{event_type}" class="small text-danger col-sm-2"></span>
		            </div>
		            <div class="form-group row">
				      	<button type="submit" class="btn btn-secondary col-sm-4 offset-sm-6"> SAVE </button>
  					</div>
		        </form>
		        <br>
	        </div>
       	</div>
     
        <footer th:replace="fragments/general :: footer"></footer>

    </body>
    
</html>
